/**
 * Copyright &copy; 2012-2014 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 赛事子表Entity
 * @author lgl
 * @version 2016-07-13
 */
/**
 * @author user
 *
 */
/**
 * @author user
 *
 */
public class ShowChild {

	private String id; // 主键
	
	private String mainShowId; // 主赛事id
	
	private String showRules; // 赛制
	
	private String cacType; // 赛事CAC类型(0:CAC;1CACIB)
	
	private String showCode; // 赛事编号
	
	private Date startTime; // 开始时间
	
	private Date endTime; // 结束时间
	
	private String showName; // 赛事名称
	
	private BigDecimal fee; // 报名费(只有旧oa数据才有值，新oa通过关联payment_charging_item_id来查询报名费)
	
	private String discount; // 报名优惠
	
	private String useCoupon; // 0可使用，1不可使用
	
	private String statisticsState; // 统计状态
	
	private String winnerState; // 赛场成绩统计状态
	
	private String createBy; // 创建者
	
	private Date createDate; //
	
	private String updateBy; // 修改者
	
	private Date updateDate; // 修改时间
	
	private String remarks; // 备注信息
	
	private String delFlag; // 删除标识
	
	private String referee; // 子赛事裁判
	
	private String refereeRemarks; // 裁判备注
	
	private String serialNumber; // 序号
	
	private String contestJudgeType; // 赛场赛制类型
	
	private String isDiscount;		// 是否减免：0减免 1不减免

	public String getIsDiscount() {
		return isDiscount;
	}

	public void setIsDiscount(String isDiscount) {
		this.isDiscount = isDiscount;
	}


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMainShowId() {
		return mainShowId;
	}

	public void setMainShowId(String mainShowId) {
		this.mainShowId = mainShowId;
	}

	public String getShowRules() {
		return showRules;
	}

	public void setShowRules(String showRules) {
		this.showRules = showRules;
	}

	public String getCacType() {
		return cacType;
	}

	public void setCacType(String cacType) {
		this.cacType = cacType;
	}

	public String getShowCode() {
		return showCode;
	}

	public void setShowCode(String showCode) {
		this.showCode = showCode;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getShowName() {
		return showName;
	}

	public void setShowName(String showName) {
		this.showName = showName;
	}

	public BigDecimal getFee() {
		return fee;
	}

	public void setFee(BigDecimal fee) {
		this.fee = fee;
	}

	public String getDiscount() {
		return discount;
	}

	public void setDiscount(String discount) {
		this.discount = discount;
	}

	public String getUseCoupon() {
		return useCoupon;
	}

	public void setUseCoupon(String useCoupon) {
		this.useCoupon = useCoupon;
	}

	public String getStatisticsState() {
		return statisticsState;
	}

	public void setStatisticsState(String statisticsState) {
		this.statisticsState = statisticsState;
	}

	public String getWinnerState() {
		return winnerState;
	}

	public void setWinnerState(String winnerState) {
		this.winnerState = winnerState;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getReferee() {
		return referee;
	}

	public void setReferee(String referee) {
		this.referee = referee;
	}

	public String getRefereeRemarks() {
		return refereeRemarks;
	}

	public void setRefereeRemarks(String refereeRemarks) {
		this.refereeRemarks = refereeRemarks;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getContestJudgeType() {
		return contestJudgeType;
	}

	public void setContestJudgeType(String contestJudgeType) {
		this.contestJudgeType = contestJudgeType;
	}
	
}